curl --request GET \
--url https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/search/people \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/search/people"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/search/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"cost": 1,
"total": 500,
"has_more": true,
"data": [
{
"id": "251749025",
"urn": "ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc",
"url": "https://www.linkedin.com/in/williamhgates",
"public_identifier": "williamhgates",
"full_name": "Bill Gates",
"title": "Chair, Gates Foundation and Founder, Breakthrough Energy",
"location": "United States",
"is_verified": true,
"is_premium": true,
"is_top_voice": true,
"is_open_to_work": false,
"is_hiring": false,
"follower_count_display": 40000000,
"avatar": [
{
"width": 400,
"height": 400,
"url": "https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8",
"expires_at": 1748476800000
}
],
"services": [
"Software Development",
"Web Development"
],
"website_url": "https://www.gatesnotes.com/"
}
]
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"success": false,
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500,
"cost": 0,
"explain": "Oops, it looks like there was an issue processing your request. Don't worry, you won't be charged for this request. If you need any help, don't hesitate to contact us via email [email protected] or telegram https://t.me/saleleads"
}Search People
Search People
Authorizations
Rapid API Key
Query Parameters
Keyword used to search people by full name or display name
"Bill"
Page number for pagination
1
Geographical code for location-based search.
You can search by a single location or multiple locations separated by commas , (e.g. 103644278 (United States) or 103644278,102299470,102095887 (United States and England, United Kingdom and California, United States))
You can use Search Geocode Location Endpoint to get geocode from location string.
"103644278"
Company ID used to filter people by current workplace
You can search by single current company or multiple companies separated by commas , (e.g. 1441 (Google) or 1441,3608 (Google and NVIDIA))
You can use Get Company Profile Endpoint to get Company ID from Company Name
"1441"
Filter people who follow a specific LinkedIn user (by URN)
For example: ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc (returns people who follow Bill Gates)
You can use Get User Profile Endpoint to get User URN by Username
"ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc"
Company ID used to filter people by previously worked
You can search by single past company or multiple companies separated by commas , (e.g. 1441 (Google) or 1441,3608 (Google and NVIDIA))
You can use Get Company Profile Endpoint to get Company ID from Company Name
"1441"
School ID used to filter people by education (returns people who studied at this school)
You can search by single school or multiple schools separated by commas , (e.g. 1646 (Harvard University) or 1646,1792 (Harvard University and Stanford University))
You can use Get Company Profile Endpoint to get School ID from School Name
"1646"
Filter people by profile language. (ISO 2-letter code, e.g. en, de)
You can search by single language or multiple languages separated by commas , (e.g. en (English) or en,de (English and German))
"en"
Industry ID
You can search by single industry or multiple industries separated by commas , (e.g. 43 (Financial Services) or 43,25 (Financial Services and Manufacturing))
You can use Search Industry Endpoint to get Industry ID by Name
"43"
Service category ID
You can search by single service or multiple services separated by commas , (e.g. 220 (Consulting) or 220,63 (Consulting and Operations))
"220"
Filter people by first name
Filter people by last name
Filter people by job title or headline